> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign plan with details

> Assign a rotating proxies plan to the specified sec-user and return details.



## OpenAPI

````yaml POST /api/v2/secUser/addPlan/details
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/secUser/addPlan/details:
    post:
      tags: []
      summary: Assign plan with details
      description: >-
        Assign a rotating proxies plan to the specified sec-user and return
        details.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                secUsername:
                  type: string
                  title: ''
                  description: >-
                    Sec-user account. Letters and numbers only, up to 40
                    characters.
                proxyType:
                  type: integer
                  title: ''
                  description: >-
                    Rotating proxies type. 1 for Starter, 2 for Advanced, 3 for
                    Premium.
                traffic:
                  type: number
                  title: ''
                  description: Plan traffic (in GB)
                apiKey:
                  type: string
                  description: Agent API key used for authentication
              required:
                - secUsername
                - proxyType
                - traffic
                - apiKey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  account:
                    type: string
                    description: Account for the corresponding proxy type
                  password:
                    type: string
                    description: Password for the corresponding proxy type
                  planId:
                    type: string
                    description: Plan ID
                  proxyType:
                    type: integer
                    title: ''
                    description: >-
                      Rotating proxies type. 1 for Starter, 2 for Advanced, 3
                      for Premium.
                  traffic:
                    type: number
                    title: ''
                    description: Plan traffic (in GB)
                  effectTime:
                    type: string
                    title: ''
                    description: 'Effective time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                  expireTime:
                    type: string
                    title: ''
                    description: 'Expiration time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                  deductedAmount:
                    type: number
                    description: Deducted amount from Agent wallet
                  remainingBalance:
                    type: number
                    description: Remaining balance in Agent wallet
                required:
                  - deductedAmount
                  - remainingBalance
                  - account
                  - password
                  - planId
                  - proxyType
                  - traffic
                  - effectTime
                  - expireTime
              example:
                account: 798v509632
                password: qli98bex
                planId: '20250101180018087'
                proxyType: 1
                traffic: 1
                effectTime: '2025-01-01 18:00:18'
                expireTime: '2025-01-01 18:00:18'
                deductedAmount: 5
                remainingBalance: 870.69
          headers: {}
      deprecated: false
      security: []

````